# Defold Druid UI Library

# Module `BackHandler`

Component to handle back key (android, backspace)

## Functions

init(self, callback[, params]) | Component init function
on_input(self, action_id, action) | Input handler for component

## Fields

on_back | On back handler callback(self, params)

## Functions

init(self, callback[, params])
  Component init function

  ### Parameters:

  - self BackHandler
  - callback callback On back button
  - params any Callback argument (optional)
on_input(self, action_id, action)
  Input handler for component

  ### Parameters:

  - self BackHandler
  - action_id string on_input action id
  - action table on_input action

## Fields

on_back
  On back handler callback(self, params)
  - on_back druid_event

generated by LDoc 1.4.6 Last updated 2020-10-12 00:44:30